MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022947Community[OCCT] OCCT:Data Exchangepublic2012-01-30 20:102012-04-16 12:36
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022947: XCAFPrs_AISObject.cxx: array index out of bounds ...
DescriptionIn the line 96 an array index exceeding array size is used:

B.Get(X[1], Y[1], Z[1], X[2], Y[2], Z[2]);

Change the line to:

B.Get(X[0], Y[0], Z[0], X[1], Y[1], Z[1]);

Besides, only 10 fields of the 'Indx' array are assigned in lines 93-96

Indx [0]=1;Indx [1]=2;Indx [2]=3;Indx [3]=4;Indx [4]=5;Indx [5]=6;Indx [6]=7;
Indx [7]=8;Indx [8]=1;Indx [9]=2;Indx [10]=6;Indx [10]=5;Indx [10]=3;
Indx [10]=4;Indx [10]=8;Indx [10]=7;
TagsNo tags attached.
Test case numbertest case is not required
Attached Files

- Relationships
related to 0022948closedsan AIS_Shape.cxx: array index out of bounds ... 

-  Notes
(0019319)
abv (manager)
2012-01-31 10:21

The dirty code has been copied from AIS_Shape.cxx while #define that activated good part of that code has been lost... To be fixed. Please consider possibility of re-using implementation of method DisplayBox() of AIS_Shape instead of having a copy.
(0019541)
dbv (developer)
2012-02-14 11:28

DisplayBox function has been removed from XCAFPrs_AISObject.cxx

Branch http://svn/svn/occt/branches/OCC22947 [^] is ready to be reviewed.

Dear Andrey,
Please review.
(0019542)
abv (manager)
2012-02-14 11:39

No remarks, please test
(0019600)
mkv (tester)
2012-02-16 15:23

Dear BugMaster,
Workbench KAS:dev:mkv-22947-occt was created from SVN branch http://svn/svn/occt/branches/OCC22947 [^]
(and mkv-22947-products from trunk) and compiled on Linux platform.
(0019604)
aan (tester)
2012-02-16 18:10
edited on: 2012-02-16 18:11

Dear BugMaster,
Workbench mkv-22947-occt was created from SVN branch http://svn/svn/occt/branches/OCC22947 [^]
(and mkv-22947-products from trunk) and compiled on Linux platform.

There are not regressions in mkv-22947-products regarding to KAS:dev:products-20120127-opt

See results in /QADisk/occttests/results/KAS/dev/mkv-22947-products_14022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120127-opt_28012012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

(0019608)
bugmaster (administrator)
2012-02-17 11:20

Integrated into trunk of repository

Date: 2012-02-17 11:19:03 +0400 (Fri, 17 Feb 2012)
New Revision: 10492

Modified:
   trunk/src/XCAFPrs/XCAFPrs_AISObject.cxx
(0020393)
Pawel (developer)
2012-04-16 12:36

Verified. Please close.

- Related Changesets
occt: master caa1174c
Timestamp: 2012-02-17 07:19:03
Author: dbv
Committer: bugmaster
Details ] Diff ]
0022947: XCAFPrs_AISObject.cxx: array index out of bounds
mod - src/XCAFPrs/XCAFPrs_AISObject.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-30 20:10 Pawel New Issue
2012-01-30 20:10 Pawel Assigned To => gka
2012-01-31 09:23 abv Relationship added related to 0022948
2012-01-31 10:21 abv Note Added: 0019319
2012-01-31 10:21 abv Assigned To gka => dbv
2012-01-31 10:21 abv Status new => assigned
2012-02-14 11:28 dbv Note Added: 0019541
2012-02-14 11:28 dbv Assigned To dbv => abv
2012-02-14 11:28 dbv Status assigned => resolved
2012-02-14 11:39 abv Note Added: 0019542
2012-02-14 11:39 abv Assigned To abv => dbv
2012-02-14 11:39 abv Status resolved => reviewed
2012-02-14 13:32 mkv Assigned To dbv => mkv
2012-02-16 13:27 aan Test case number => test case is not required
2012-02-16 15:23 mkv Note Added: 0019600
2012-02-16 18:10 aan Note Added: 0019604
2012-02-16 18:11 aan Note Edited: 0019604 View Revisions
2012-02-16 18:11 aan Status reviewed => tested
2012-02-17 11:20 bugmaster Note Added: 0019608
2012-02-17 11:20 bugmaster Status tested => verified
2012-02-17 11:20 bugmaster Resolution open => fixed
2012-02-17 11:41 bugmaster Assigned To mkv => Pawel
2012-02-17 11:41 bugmaster Target Version => 6.5.3
2012-03-29 17:26 bugmaster Changeset attached => occt master caa1174c
2012-04-16 12:35 Pawel Assigned To Pawel => bugmaster
2012-04-16 12:36 Pawel Note Added: 0020393


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker